<template>
  <lesson-list :lessons="lessons" />
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import LessonList from '@/components/lesson/LessonList.vue';
import { Lesson } from '@/domain/entity/lesson/Lesson';
import { LessonsListRequest } from '@/domain/request/lessons/LessonsListRequest';

@Component({
  components: {
    LessonList
  }
})
export default class LessonView extends Vue {
  private get lessons(): Lesson[] {
    return this.$store.getters['lessons/items'];
  }

  private async mounted(): Promise<void> {
    await this.$store.dispatch('lessons/fetch', {
      courseId: this.$route.query.courseId
    } as LessonsListRequest);
  }
}
</script>

<style scoped></style>
